[_T]) -> bool: ...
    def __gt__(self, other: BaseSet[_T]) -> bool: ...

class ImmutableSet(BaseSet[_T], Hashable):
    def __init__(self, iterable: Optional[_Setlike[_T]] = ...) -> None: ...
    def __hash__(self) -> int: ...

class Set(BaseSet[_T]):
    def __init__(self, iterable: Optional[_Setlike[_T]] = ...) -> None: ...
    def __ior__(self: _SelfT, other: BaseSet[_T]) -> _SelfT: ...
    def union_update(self, other: _Setlike[_T]) -> None: ...
    def __iand__(self: _SelfT, other: BaseSet[_T]) -> _SelfT: ...
    def intersection_update(self, other: _Setlike[Any]) -> None: ...
    def __ixor__(self: _SelfT, other: BaseSet[_T]) -> _SelfT: ...
    def symmetric_difference_update(self, other: _Setlike[_T]) -> None: ...
    def __isub__(self: _SelfT, other: BaseSet[_T]) -> _SelfT: ...
    def difference_update(self, other: _Setlike[Any]) -> None: ...
    def update(self, iterable: _Setlike[_T]) -> None: ...
    def clear(self) -> None: ...
    def add(self, element: _T) -> None: ...
    def remove(self, element: _T) -> None: ...
    def discard(self, element: _T) -> None: ...
    def pop(self) -> _T: ...
    def __as_immutable__(self) -> ImmutableSet[_T]: ...
    def __as_temporarily_immutable__(self) -> _TemporarilyImmutableSet[_T]: ...

class _TemporarilyImmutableSet(BaseSet[_T]):
    def __init__(self, set: BaseSet[_T]) -> None: ...
    def __hash__(self) -> int: ...
PK